Bug 787128 - Review Request: libfep - Library to implement FEP (front end processor) on ANSI terminals
Review Request: libfep - Library to implement FEP (front end processor) on AN...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 789212
  Show dependency treegraph
 
Reported: 2012-02-03 04:20 EST by Daiki Ueno
Modified: 2012-02-28 05:52 EST (History)
5 users (show)

See Also:
Fixed In Version: libfep-0.0.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-12 20:53:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daiki Ueno 2012-02-03 04:20:59 EST
Spec URL: http://ueno.fedorapeople.org/libfep/libfep.spec
SRPM URL: http://ueno.fedorapeople.org/libfep/libfep-0.0.1-1.fc17.src.rpm
Description:
The libfep project aims to provide a server and a library to implement
input method FEP (front end processor), running on ANSI compliant
terminals.

This package is necessary to build the next release of libskk.
Comment 1 Jamie Nguyen 2012-02-09 16:10:30 EST
Hello, some comments:

1) The "%doc" should be removed from the "%files devel" section.
2) ChangeLog date format usually has leading zero (Fri Feb 03 2012).
3) Single quote the curly brackets: find -exec rm -rf '{}' ';'
4) Perhaps include the ChangeLog file (alongside README etc.)


Review checklist, last updated 2012-02-07
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [x] passed, [F] failed, [-] irrelevant

[x] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.
[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[x] MUST: The package must meet the Packaging Guidelines.
[x] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual
    license. 
[x] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English. 
[x] MUST: The spec file for the package MUST be legible. 
[x] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.
[x] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[x] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[X] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[x] MUST: Packages must NOT bundle copies of system libraries.
[-] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[x] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[x] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[x] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[x] MUST: Each package must consistently use macros. 
[x] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[x] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[X] MUST: Development files must be in a -devel package. 
[X] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[X] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[x] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[x] MUST: All filenames in rpm packages must be valid UTF-8.
Comment 2 Ian Weller 2012-02-09 16:27:38 EST
(So there's not any confusion, I asked Jamie to do a full review of this package as part of the sponsorship process.)

(In reply to comment #1)
> 2) ChangeLog date format usually has leading zero (Fri Feb 03 2012).

This is up to the packager; there's no rule in the packaging guidelines about this. (I usually drop the leading zero.)

> [x] MUST: rpmlint must be run on the source rpm and all binary rpms the build
>     produces. The output should be posted in the review.

libfep.x86_64: W: no-manual-page-for-binary fep
libfep.x86_64: W: no-manual-page-for-binary fepcli
libfep-devel.x86_64: W: no-documentation

These warnings are all fine.
Comment 3 Daiki Ueno 2012-02-09 22:17:52 EST
Thanks for taking this review.

I've put the updated package at:
Spec URL: http://ueno.fedorapeople.org/libfep/libfep.spec
SRPM URL: http://ueno.fedorapeople.org/libfep/libfep-0.0.4-1.fc17.src.rpm

It is rebased against the latest upstream tarball, which now includes man pages.
Comment 4 Ian Weller 2012-02-11 05:33:01 EST
These changes look good, so this package is APPROVED.

(Thanks again to Jamie for the review.)
Comment 5 Daiki Ueno 2012-02-11 06:47:23 EST
Thanks, Ian and Jamie.

New Package SCM Request
=======================
Package Name: libfep
Short Description: Library to implement FEP (front end processor) on ANSI terminals
Owners: ueno
Branches: f17 f16 f15
InitialCC: i18n-team
Comment 6 Jon Ciesla 2012-02-11 14:38:16 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-02-12 20:50:19 EST
libfep-0.0.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libfep-0.0.4-1.fc16
Comment 8 Fedora Update System 2012-02-12 20:50:28 EST
libfep-0.0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libfep-0.0.4-1.fc15
Comment 9 Daiki Ueno 2012-02-12 20:53:16 EST
Thanks.  Imported and built in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3784940
Comment 10 Fedora Update System 2012-02-15 03:10:28 EST
libfep-0.0.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libfep-0.0.5-1.fc17
Comment 11 Fedora Update System 2012-02-15 03:10:39 EST
libfep-0.0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libfep-0.0.5-1.fc16
Comment 12 Fedora Update System 2012-02-15 03:10:49 EST
libfep-0.0.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libfep-0.0.5-1.fc15
Comment 13 Fedora Update System 2012-02-25 03:29:31 EST
libfep-0.0.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-02-25 03:32:31 EST
libfep-0.0.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-02-28 05:52:33 EST
libfep-0.0.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.